export const DagToData = (Dag: any) => {
  console.log('Dag:', Dag);
  const nodes: any = []
  const edges: any = []
  Dag.cells.forEach((item: any) => {
    if (item?.shape === 'dag-edge') {
      edges.push({
        id: item.id,
        source: item.source.cell,
        target: item.target.cell
      })
    } else {
      switch (item.data?.type) {
        case "datasource":
          nodes.push({
            id: item.id,
            name: item.data.nodeName,
            op: "datasource",
            data: {
              input_source: item.data.inputSource,
              input_table: item.data.dataTable,
            }
          })
          break;
        case "outputsource":
          nodes.push({
            id: item.id,
            name: item.data.nodeName,
            op: "datasource",
            data: {
              output_source: item.data.outputSource,
            }
          })
          break;
        default:
          nodes.push({
            id: item.id,
            name: item.data.nodeName,
            op: item.data.label,
            data: {
              input_number: item.data.inputNumber,
              output: item.data.outputData,
              script: item.data.scriptText,
              param: item.data.paramText,
              package: item.data.packageData
            }
          })
          break;
      }
    }
  });
  return {
    user_name: "XXX",
    user_id: 1,
    nodes_task_name: "dfs",
    nodes_task_id: 123,
    itermidate_data: ["hdfs://host:port/uri"],
    nodes,
    edges,
    graph: Dag
  }
}

export const DataToDag = (Data: any) => {
  console.log('Data:', Data);
}